Method: projects.locations.getCmekConfig

Gets the Scheduler config in the project/region.

HTTP request


GET https://cloudscheduler.googleapis.com/v1/{name=projects/*/locations/*/cmekConfig}

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The config name. For example: projects/PROJECT_ID/locations/LOCATION_ID/cmekConfig

Authorization requires the following IAM permission on the specified resource name:

  • iam.permissions.none

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of CmekConfig.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-scheduler

For more information, see the Authentication Overview.